import { ITaskResponse, ITaskResponseResult, ITaskRunParams } from "@webiny/tasks";
import { HcmsTasksContext } from "../../types";
import { IDeleteModelTaskInput, IDeleteModelTaskOutput } from "./types";
export interface IDeleteModelRunnerParams<C extends HcmsTasksContext, I extends IDeleteModelTaskInput, O extends IDeleteModelTaskOutput> {
    taskId: string;
    context: C;
    response: ITaskResponse<I, O>;
}
export type IExecuteParams<C extends HcmsTasksContext, I extends IDeleteModelTaskInput, O extends IDeleteModelTaskOutput> = Omit<ITaskRunParams<C, I, O>, "context" | "response" | "store" | "timer" | "trigger">;
export declare class DeleteModelRunner<C extends HcmsTasksContext, I extends IDeleteModelTaskInput, O extends IDeleteModelTaskOutput> {
    private readonly taskId;
    private readonly context;
    private readonly response;
    constructor(params: IDeleteModelRunnerParams<C, I, O>);
    execute(params: IExecuteParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
    private getModel;
    private removeBeingDeleted;
}
export declare const createDeleteModelRunner: <C extends HcmsTasksContext, I extends IDeleteModelTaskInput, O extends IDeleteModelTaskOutput>(params: IDeleteModelRunnerParams<C, I, O>) => DeleteModelRunner<C, I, O>;
